PROGRAM_NAME='CTEIB7_IP_Basics'
(***********************************************************)
(* System Type: NetLinx                                    *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)

(***********************************************************)
(* IMPORTANT !                                             *)
(*                                                         *)
(*  The following code blocks are provided as a guide to   *)
(*  programming the device(s). This is a                   *)
(*  sample only, and will most likely require modification *)
(*  to be integrated into a master program.                *)
(*                                                         *)
(*  Device-specific protocols should be obtained directly  *)
(*  from the equipment manufacturer to ensure compliance   *)
(*  with the most current versions. Within the limits      *)
(*  imposed by any non-disclosure agreements, AMX will     *)
(*  provide protocols upon request.                        *)
(*                                                         *)
(*  If further programming assistance is required, please  *)
(*  contact your AMX customer support team.                *)
(***********************************************************)
DEFINE_DEVICE
//dvEIB			= 0:5:0		// IP Local Port for connect to the CTG-EIB-IP
										// the connection handling is done within the 'CTEIB7_mod' module
vdvEIB		= 33001:1:0		// virtual device for module control and response
dvEIB		= 5001:2:0


(***********************************************************)
DEFINE_VARIABLE
VOLATILE LONG lEIB_Value[3000]	// max. 3000 group addresses

(***********************************************************)
DEFINE_START

SEND_COMMAND vdvEIB,"'STARTDELAY=30'"	// Default 30 Sekunden until table upload

#INCLUDE 'EIB_Table.axi' // this will upload the table to the gateway,
													// EIB_Tools.axi will be included within EIB_Table.axi


// module call
DEFINE_MODULE 'CTEIB7_mod' EIB7(vdvEIB, dvEIB, lEIB_Value)


(***********************************************************)
DEFINE_EVENT
DATA_EVENT[vdvEIB]
{
	ONLINE :
	{
		IF (dvEIB.NUMBER = 0) // check if dvEIB is a Local Port
		{
			// tells the module the IP address of the gateway
			SEND_COMMAND vdvEIB,'IP=172.16.100.123' // IP Address of CTG-EIB-IP gateway
		}
	}
}


(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)
